> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create orders in batch

POST https://api.brevo.com/v3/orders/status/batch
Content-Type: application/json

Create multiple orders at one time instead of one order at a time

Reference: https://developers.brevo.com/reference/create-batch-order

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Body (application/json)

- `orders` (list of object, required) — array of order objects
  - `amount` (double, required) — Total amount of the order, including all shipping expenses, tax and the price of items.
  - `createdAt` (string, required) — Event occurrence UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when order is actually created.
  - `id` (string, required) — Unique ID of the order.
  - `products` (list of object, required)
    - `price` (double, required) — The price of a unit of product
    - `productId` (string, required) — ID of the product.
    - `variantId` (string, optional) — Product ID of the red color shirts.
    - `quantity` (integer, optional) — **Required if quantityFloat is empty.** Number of product units added to the cart (whole numbers only, e.g., 10)
    - `quantityFloat` (double, optional) — **Required if quantity is empty.** Number of product units added to the cart(supports decimals, e.g., 20.52)
  - `status` (string, required) — State of the order.
  - `updatedAt` (string, required) — Event updated UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when the status of the order is actually changed/updated.
  - `billing` (object, optional) — Billing details of an order.
    - `address` (string, optional) — Full billing address.
    - `city` (string, optional) — Exact city of the address.
    - `country` (string, optional) — Billing country name.
    - `countryCode` (string, optional) — Billing country 2-letter ISO code.
    - `paymentMethod` (string, optional) — How the visitor will pay for the item(s), e.g. paypal, check, etc.
    - `phone` (string, optional) — Billing phone number.
    - `postCode` (string, optional) — Postcode for delivery and billing.
    - `region` (string, optional) — Exact region (state/province) for delivery and billing.
  - `coupons` (list of string, optional) — Coupons applied to the order. Stored case insensitive.
  - `identifiers` (object, optional) — Identifies the contact associated with the order.
    - `email_id` (string, optional) — Email of the contact associated with the order
    - `ext_id` (string, optional) — ext_id associated with the order
    - `loyalty_subscription_id` (string, optional) — loyalty_subscription_id associated with the order
    - `phone_id` (string, optional) — Phone number of the contact associated with the order
  - `metaInfo` (map from string to string or integer or boolean, optional) — Meta data of order to store additional detail such as custom message, customer type, source.
  - `storeId` (string, optional) — ID of store where the order is placed
- `historical` (boolean, optional, default: true) — Defines whether you want your orders to be considered as live data or as historical data (import of past data, synchronising data). True: orders will not trigger any automation workflows. False: orders will trigger workflows as usual.
- `notifyUrl` (string, optional) — Webhook URL to receive the status of the batch request

## Response

### 202

batch id created

- `batch_id` (double, required, nullable) — Batch ID of the request
- `count` (long, optional) — Number of orders

## Examples

**Request**

```json
{
  "orders": [
    {
      "amount": 308.42,
      "createdAt": "2021-07-29T20:59:23.383Z",
      "id": "14",
      "products": [
        {
          "price": 99.99,
          "productId": "P1"
        }
      ],
      "status": "completed",
      "updatedAt": "2021-07-30T10:59:23.383Z"
    }
  ]
}
```

**Response**

```json
{
  "batch_id": 1,
  "count": 17655
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.ecommerce.createBatchOrder({
        orders: [
            {
                amount: 308.42,
                createdAt: "2021-07-29T20:59:23.383Z",
                id: "14",
                products: [
                    {
                        price: 99.99,
                        productId: "P1",
                    },
                ],
                status: "completed",
                updatedAt: "2021-07-30T10:59:23.383Z",
            },
        ],
    });
}
main();

```

```python
from brevo import Brevo, Order, OrderProductsItem

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.ecommerce.create_batch_order(
    orders=[
        Order(
            amount=308.42,
            created_at="2021-07-29T20:59:23.383Z",
            id="14",
            products=[
                OrderProductsItem(
                    price=99.99,
                    product_id="P1",
                )
            ],
            status="completed",
            updated_at="2021-07-30T10:59:23.383Z",
        )
    ],
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Ecommerce\Requests\CreateBatchOrderRequest;
use Brevo\Types\Order;
use Brevo\Types\OrderProductsItem;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->ecommerce->createBatchOrder(
    new CreateBatchOrderRequest([
        'orders' => [
            new Order([
                'amount' => 308.42,
                'createdAt' => '2021-07-29T20:59:23.383Z',
                'id' => '14',
                'products' => [
                    new OrderProductsItem([
                        'price' => 99.99,
                        'productId' => 'P1',
                    ]),
                ],
                'status' => 'completed',
                'updatedAt' => '2021-07-30T10:59:23.383Z',
            ]),
        ],
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/orders/status/batch"

	payload := strings.NewReader("{\n  \"orders\": [\n    {\n      \"amount\": 308.42,\n      \"createdAt\": \"2021-07-29T20:59:23.383Z\",\n      \"id\": \"14\",\n      \"products\": [\n        {\n          \"price\": 99.99,\n          \"productId\": \"P1\"\n        }\n      ],\n      \"status\": \"completed\",\n      \"updatedAt\": \"2021-07-30T10:59:23.383Z\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/orders/status/batch")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"orders\": [\n    {\n      \"amount\": 308.42,\n      \"createdAt\": \"2021-07-29T20:59:23.383Z\",\n      \"id\": \"14\",\n      \"products\": [\n        {\n          \"price\": 99.99,\n          \"productId\": \"P1\"\n        }\n      ],\n      \"status\": \"completed\",\n      \"updatedAt\": \"2021-07-30T10:59:23.383Z\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/orders/status/batch")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"orders\": [\n    {\n      \"amount\": 308.42,\n      \"createdAt\": \"2021-07-29T20:59:23.383Z\",\n      \"id\": \"14\",\n      \"products\": [\n        {\n          \"price\": 99.99,\n          \"productId\": \"P1\"\n        }\n      ],\n      \"status\": \"completed\",\n      \"updatedAt\": \"2021-07-30T10:59:23.383Z\"\n    }\n  ]\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/orders/status/batch");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"orders\": [\n    {\n      \"amount\": 308.42,\n      \"createdAt\": \"2021-07-29T20:59:23.383Z\",\n      \"id\": \"14\",\n      \"products\": [\n        {\n          \"price\": 99.99,\n          \"productId\": \"P1\"\n        }\n      ],\n      \"status\": \"completed\",\n      \"updatedAt\": \"2021-07-30T10:59:23.383Z\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["orders": [
    [
      "amount": 308.42,
      "createdAt": "2021-07-29T20:59:23.383Z",
      "id": "14",
      "products": [
        [
          "price": 99.99,
          "productId": "P1"
        ]
      ],
      "status": "completed",
      "updatedAt": "2021-07-30T10:59:23.383Z"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/orders/status/batch")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```